### A free/open-source library for quantitative finance

Public Types | Public Member Functions
ActualActual Class Reference
Day counters

Actual/Actual day count. More...

`#include <ql/time/daycounters/actualactual.hpp>`

Inheritance diagram for ActualActual:
[legend]

List of all members.

## Public Types

enum | Convention { ISMA, Bond, ISDA, Historical, Actual365, AFB, Euro }

## Public Member Functions

| ActualActual (Convention c=ActualActual::ISDA)

## Detailed Description

Actual/Actual day count.

The day count can be calculated according to:

- the ISDA convention, also known as "Actual/Actual (Historical)", "Actual/Actual", "Act/Act", and according to ISDA also "Actual/365", "Act/365", and "A/365";
- the ISMA and US Treasury convention, also known as "Actual/Actual (Bond)";
- the AFB convention, also known as "Actual/Actual (Euro)".

For more details, refer to http://www.isda.org/publications/pdf/Day-Count-Fracation1999.pdf

Tests:
  the correctness of the results is checked against known good values.

Examples:
  Bonds.cpp, CallableBonds.cpp, FRA.cpp, and swapvaluation.cpp.